Skip to main content
GET
/
extracts
List extracts
curl --request GET \
  --url https://api.prequel.co/import/extracts \
  --header 'X-API-KEY: <api-key>'
{
  "status": "success",
  "has_next": true,
  "extracts": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "submitted_at": "2023-11-07T05:31:56Z",
      "dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "started_at": "2023-11-07T05:31:56Z",
      "ended_at": "2023-11-07T05:31:56Z",
      "records_processed": 123,
      "records_existing_updated": 123,
      "records_existing_unchanged": 123,
      "records_existing_deleted": 123,
      "records_new_inserted": 123,
      "records_errored": 123,
      "error": {
        "error_code": "<string>",
        "title": "<string>",
        "message": "<string>",
        "blame": "<string>",
        "documentation_url": "<string>",
        "trace": "<string>"
      }
    }
  ],
  "next_url": "<string>"
}

Authorizations

X-API-KEY
string
header
required

Query Parameters

cursor
string

Opaque cursor for pagination.

page_size
integer
default:10
Required range: 1 <= x <= 100
order
enum<string>
default:desc
Available options:
asc,
desc
dataset_id
string

Response

Success

status
string
required
Example:

"success"

has_next
boolean
required
extracts
object[]
required
next_url
string<uri> | null